# Update account

URL: https://www.inclamo.com/docs/api/application/account/update-account

> Update account details, settings, and custom attributes

## PATCH /api/v1/accounts/{account_id}

Update account

Update account details, settings, and custom attributes

Base URL: https://helpdesk.inclamo.com

### Parameters

- `account_id` (path, required, integer): The numeric ID of the account
- `account_id` (path, required, integer): The numeric ID of the account

### Request body

`application/json` (required)

```json

{
  "$ref": "#/components/schemas/account_update_payload"
}

```

`application/x-www-form-urlencoded` (required)

```json

{
  "$ref": "#/components/schemas/account_update_payload"
}

```

### Responses

- 200: Success
- 401: Unauthorized (requires administrator role)
- 404: Account not found
- 422: Validation error

Schemas referenced with $ref are defined in the OpenAPI file: https://www.inclamo.com/docs/api/openapi.json
